Skip to main content
GET
Get Provider Channels
See also: Channel List for a reference of common providerChannelId values by environment.

Headers

Abp-TenantId
string
required

Your unique Merchant ID assigned by CommercePay.

Authorization
string
required

Your API credentials used for authentication (typically a Bearer token).

cap-signature
string
required

A unique security hash used to verify the integrity of the request body. See Generate Signature for how to generate this.

Query Parameters

ChannelId
integer<int32>
required

An identifier that represents a CommercePay channel. Refer to the id from the response of the Get Channel List.

CurrencyCode
string

[Optional] Currency code (3-letter ISO 4217). When supplied, only provider channels that support this currency are returned.

Maximum string length: 3
Example:

"MYR"

Amount
integer<int64>

[Optional] Transaction amount in minor units (e.g. 10000 = 100.00). When supplied, only provider channels that support this amount are returned.

Example:

10000

Response

Success

id
string | null

An identifier that represents the payment provider channel

name
string | null

Payment Provider channel Name

displayName
string | null

Payment Provider channel Display Name

imageUrl
string | null

Url image of Payment Provider channel

status
enum<integer>
Available options:
0,
1,
2,
-1
whitelist
object | null

Reserved for future use. Currently always null.

options
object | null

Reserved for future use. Currently always null.